Main Page Class List Class Members

# Nv::Blast::Mesh Class Reference

`#include <NvBlastExtAuthoringMesh.h>`

List of all members.

## Public Member Functions
virtual void | calcPerFacetBounds ()=0
virtual const NvcBounds3 & | getBoundingBox () const =0
virtual NvcBounds3 & | getBoundingBoxWritable ()=0
virtual const Edge * | getEdges () const =0
virtual uint32_t | getEdgesCount () const =0
virtual Edge * | getEdgesWritable ()=0
virtual const Facet * | getFacet (int32_t facet) const =0
virtual const NvcBounds3 * | getFacetBound (uint32_t index) const =0
virtual uint32_t | getFacetCount () const =0
virtual const Facet * | getFacetsBuffer () const =0
virtual Facet * | getFacetsBufferWritable ()=0
virtual Facet * | getFacetWritable (int32_t facet)=0
virtual float | getMeshVolume ()=0
virtual const Vertex * | getVertices () const =0
virtual uint32_t | getVerticesCount () const =0
virtual Vertex * | getVerticesWritable ()=0
virtual bool | isValid () const =0
virtual void | recalculateBoundingBox ()=0
virtual void | release ()=0
virtual void | replaceMaterialId (int32_t oldMaterialId, int32_t newMaterialId)=0
virtual void | setMaterialId (const int32_t *materialIds)=0
virtual void | setSmoothingGroup (const int32_t *smoothingGroups)=0
virtual | ~Mesh ()

## Detailed Description

Class for internal mesh representation

## Constructor & Destructor Documentation

virtual Nv::Blast::Mesh::~Mesh | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

virtual void Nv::Blast::Mesh::calcPerFacetBounds | ( |  | ) | `[pure virtual]`

Calculate per-facet bounding boxes.

virtual const NvcBounds3& Nv::Blast::Mesh::getBoundingBox | ( |  | ) | const`[pure virtual]`

Return reference on mesh bounding box.

virtual NvcBounds3& Nv::Blast::Mesh::getBoundingBoxWritable | ( |  | ) | `[pure virtual]`

Return writable reference on mesh bounding box.

virtual const Edge* Nv::Blast::Mesh::getEdges | ( |  | ) | const`[pure virtual]`

Return pointer on edges array

virtual uint32_t Nv::Blast::Mesh::getEdgesCount | ( |  | ) | const`[pure virtual]`

Return edges count

virtual Edge* Nv::Blast::Mesh::getEdgesWritable | ( |  | ) | `[pure virtual]`

Return writable pointer on edges array

virtual const Facet* Nv::Blast::Mesh::getFacet | ( | int32_t | facet | ) | const`[pure virtual]`

Return pointer on specified facet

virtual const NvcBounds3* Nv::Blast::Mesh::getFacetBound | ( | uint32_t | index | ) | const`[pure virtual]`

Get pointer on facet bounding box, if not calculated return nullptr.

virtual uint32_t Nv::Blast::Mesh::getFacetCount | ( |  | ) | const`[pure virtual]`

Return facet count

virtual const Facet* Nv::Blast::Mesh::getFacetsBuffer | ( |  | ) | const`[pure virtual]`

Return pointer on facets array

virtual Facet* Nv::Blast::Mesh::getFacetsBufferWritable | ( |  | ) | `[pure virtual]`

Return writable pointer on facets array

virtual Facet* Nv::Blast::Mesh::getFacetWritable | ( | int32_t | facet | ) | `[pure virtual]`

Return writable pointer on specified facet

virtual float Nv::Blast::Mesh::getMeshVolume | ( |  | ) | `[pure virtual]`

Compute mesh volume. Can be used only for triangulated meshes. Return mesh volume. If mesh is not triangulated return 0.

virtual const Vertex* Nv::Blast::Mesh::getVertices | ( |  | ) | const`[pure virtual]`

Return pointer on vertices array

virtual uint32_t Nv::Blast::Mesh::getVerticesCount | ( |  | ) | const`[pure virtual]`

Return vertices count

virtual Vertex* Nv::Blast::Mesh::getVerticesWritable | ( |  | ) | `[pure virtual]`

Return writable pointer on vertices array

virtual bool Nv::Blast::Mesh::isValid | ( |  | ) | const`[pure virtual]`

Return true if mesh is valid

virtual void Nv::Blast::Mesh::recalculateBoundingBox | ( |  | ) | `[pure virtual]`

Recalculate bounding box

virtual void Nv::Blast::Mesh::release | ( |  | ) | `[pure virtual]`

Release Mesh memory

virtual void Nv::Blast::Mesh::replaceMaterialId | ( | int32_t | oldMaterialId,
|  | int32_t | newMaterialId |
| ) |  |  | `[pure virtual]`

Replaces an material id on faces with a new one

virtual void Nv::Blast::Mesh::setMaterialId | ( | const int32_t * | materialIds | ) | `[pure virtual]`

Set per-facet material id.

virtual void Nv::Blast::Mesh::setSmoothingGroup | ( | const int32_t * | smoothingGroups | ) | `[pure virtual]`

Set per-facet smoothing group.

The documentation for this class was generated from the following file:

- sdk/extensions/authoringCommon/include/NvBlastExtAuthoringMesh.h